import java.awt.*;
import java.awt.event.*;

public class ImageTestApp extends Frame {
    private Image demo;
    private int demoX;
    private int demoY;
    private int demoSize;
    
    public static void main(String[] args) {
        ImageTestApp app = new ImageTestApp();
    }

    public ImageTestApp() {
        setTitle( "Image Test" );
        setSize( 450, 450 );
        demo = Toolkit.getDefaultToolkit().getImage( "logo.gif" );
	demoX = 200;
	demoY = 200;
	demoSize = 50;

	addMouseListener( new MouseKeeper() );
        show();
    }

    public void paint( Graphics g ) {
        // drawImage(Image img, int x, int y, int width, int height, ImageObserver observer)
         
	g.drawImage( demo, demoX-demoSize/2, demoY-demoSize/2, 
		     demoSize, demoSize, this );
    }

    private class MouseKeeper extends MouseAdapter {
	public void mousePressed( MouseEvent e ) {
	    demoX = e.getX();
	    demoY = e.getY();
	    repaint();
	} // end mousePressed
    } // end private class MouseKeeper
    
} // end class ImageTestApp